View Issue Details

IDProjectCategoryView StatusLast Update
0014273ScribusBuild Systempublic2016-11-06 13:10
Reportermapreri Assigned Tocbradney  
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.2 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0014273: Tweak .desktop and .appdata.xml according to -DCUSTOM_VERSIONTAG
Description.desktop and .appdata.xml contain references to the scribus binary and icon.
Such files are named differently if -DCUSTOM_VERSIONTAG is used at configure stage of build.
Besides, both .desktop and .appdata.xml should have the same name as the binary, so they should be renamed as well if the scribus binary is named differently.
Same goes for the MIME data file.

The attached patch does so, by
1) turning the .desktop and .appdata.xml file into templates and tweaking some of their field with @TAG_VERSION@, and using cmake's CONFIGURE_FILE on them
2) leveraging the RENAME flag of cmake's INSTALL function
Tagspatch
PatchNo

Activities

mapreri

2016-08-29 14:12

developer  

dynamic-freedesktop.patch (11,401 bytes)   
Description: dynamically generate scribus.desktop and scribus.appdata.xml appending TAG_VERSION
 this makes .desktop and .appdata.xml use the right binary, icon, etc if
 -DCUSTOM-VERSIONTAG has been used.  Also rename the files so they can be
 coinstalled with other scribus built done with different -DCUSTOM-VERSIONTAG
Author: Mattia Rizzolo <mattia@debian.org>
Forwarded: no
Last-Updated: 2016-08-06

--- /dev/null
+++ b/scribus.desktop.in
@@ -0,0 +1,109 @@
+[Desktop Entry]
+Type=Application
+Name=Scribus
+Name[ar]=سكريبس
+Name[fa]=اسکریباس
+Name[lo]=ສະຄຣີບັດສ໌
+Name[ru]=Scribus
+Name[ta]=ஸ்கிரிபஸ்
+Comment=Page Layout and Publication
+Comment[ar]=سكريبس
+Comment[fa]=اسکریباس
+Comment[ta]=ஸ்கிரிபஸ்
+Comment[af]=Werkskerm Publisering
+Comment[bg]=Издателска програма
+Comment[bs]=Stono izdavaštvo (DTP)
+Comment[ca]=Publicació d'escriptori
+Comment[cs]=Publikační systém (DTP)
+Comment[cy]=Cyhoeddi Penbwrdd
+Comment[da]=Dtp
+Comment[eo]=DTP-programo
+Comment[es]=Publicación de escritorio
+Comment[et]=Küljendusrakendus
+Comment[fi]=Julkaisuohjelma
+Comment[fr]=Publication assistée par ordinateur (PAO)
+Comment[he]=הוצאה לאור שולחנית
+Comment[hr]=Stolno izdavaštvo
+Comment[hu]=Kiadványszerkesztés
+Comment[it]=Pubblicazioni
+Comment[ja]=デスクトップパブリッシング
+Comment[lo]=ເດດທອບພັລບບີດຊິງ
+Comment[lt]=Darbastalio leidykla
+Comment[nb]=Datatrykkeprogram
+Comment[nn]=Datatrykk
+Comment[nso]=Kwalakwatso ya Desktop
+Comment[pl]=Program do składu tekstu
+Comment[pt]=Publicação no Ecrã
+Comment[pt_BR]=Publicação do Ambiente de Trabalho
+Comment[ru]=Настольное издательство
+Comment[sl]=Namizno založništvo
+Comment[sr]=Стоно издаваштво
+Comment[ss]=Kushicelela ku desktop
+Comment[sv]=Desktop Publishing
+Comment[th]=เดสก์ทอปพับลิชชิง
+Comment[tr]=Masaüstü Yayıncılık
+Comment[uk]=Видавнича система
+Comment[uz]=Кичик нашриёт
+Comment[ven]=U andadza Desikithopo
+Comment[xh]=Upapasho lwe Desktop
+Comment[zh_CN]=桌面出版
+Comment[zh_TW]=桌面出版
+Comment[zu]=Ukushicilelwa kwe-Desktop
+GenericName=Page Layout (Development)
+GenericName[af]=Werkskerm Publisering
+GenericName[bg]=Издателска програма
+GenericName[bs]=Stono izdavaštvo (DTP)
+GenericName[ca]=Publicació d'escriptori
+GenericName[cs]=Publikační systém (DTP)
+GenericName[cy]=Cyhoeddi Penbwrdd
+GenericName[da]=Dtp
+GenericName[eo]=DTP-programo
+GenericName[es]=Publicación de escritorio
+GenericName[et]=Küljendusrakendus
+GenericName[fa]=نشر میزکار
+GenericName[fi]=Julkaisuohjelma
+GenericName[fr]=Publication assistée par ordinateur (PAO)
+GenericName[he]=הוצאה לאור שולחנית
+GenericName[hr]=Stolno izdavaštvo
+GenericName[hu]=Kiadványszerkesztés
+GenericName[it]=Pubblicazioni
+GenericName[ja]=デスクトップパブリッシング
+GenericName[lo]=ເດດທອບພັລບບີດຊິງ
+GenericName[lt]=Darbastalio leidykla
+GenericName[nb]=Datatrykkeprogram
+GenericName[nn]=Datatrykk
+GenericName[nso]=Kwalakwatso ya Desktop
+GenericName[pl]=Program do składu tekstu
+GenericName[pt]=Edição Electrónica
+GenericName[pt_BR]=Editoração eletrônica
+GenericName[ru]=Настольная издательская система
+GenericName[sl]=Namizno založništvo
+GenericName[sr]=Стоно издаваштво
+GenericName[ss]=Kushicelela ku desktop
+GenericName[sv]=Desktop Publishing
+GenericName[th]=เดสก์ทอปพับลิชชิง
+GenericName[tr]=Masaüstü Yayıncılık
+GenericName[tt]=Өстәл нәшрияты
+GenericName[uk]=Видавнича система
+GenericName[uz]=Кичик нашриёт
+GenericName[ven]=U andadza Desikithopo
+GenericName[xh]=Upapasho lwe Desktop
+GenericName[zh_CN]=桌面出版
+GenericName[zh_TW]=桌面出版
+GenericName[zu]=Ukushicilelwa kwe-Desktop
+TryExec=scribus@TAG_VERSION@
+Exec=scribus@TAG_VERSION@ %f
+Icon=scribus@TAG_VERSION@
+Terminal=false
+MimeType=application/vnd.scribus;
+Categories=Qt;Graphics;Publishing;
+StartupWMClass=scribus@TAG_VERSION@
+DocPath=scribus@TAG_VERSION@
+StartupNotify=false
+X-AppInstall-Package=scribus@TAG_VERSION@
+X-AppInstall-Section=main
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+[X-Property::X-KDE-NativeExtension]
+Type=QString
+Value=.sla
--- /dev/null
+++ b/scribus.appdata.xml.in
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Copyright 2016 Peter Linnell  plinnell@scribus.net> -->
+
+<component type="desktop">
+  <id>scribus@TAG_VERSION@.desktop</id>
+  <metadata_license>CC0-1.0</metadata_license>
+  <project_license>GPL-2.0+</project_license>
+  <description>
+    <p>
+      Scribus is a desktop publishing application that allows you to create posters,
+      magazines and books ready to send off to a printing house.
+      It supports professional publishing features, such color separations, CMYK and
+      spot colors, ICC color management, and versatile PDF creation.
+    </p>
+    <!-- FIXME: Probably needs another paragraph or two -->
+  </description>
+  <url type="homepage">http://scribus.net/</url>
+  <screenshots>
+    <screenshot type="default">
+      <image>http://upload.wikimedia.org/wikipedia/commons/f/f4/Scribus-1.3-Linux.png</image>
+    </screenshot>
+  </screenshots>
+  <update_contact>admin@scribus.net</update_contact>
+</component>
--- a/scribus.appdata.xml
+++ /dev/null
@@ -1,24 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!-- Copyright 2016 Peter Linnell  plinnell@scribus.net> -->
-
-<component type="desktop">
-  <id>scribus.desktop</id>
-  <metadata_license>CC0-1.0</metadata_license>
-  <project_license>GPL-2.0+</project_license>
-  <description>
-    <p>
-      Scribus is a desktop publishing application that allows you to create posters,
-      magazines and books ready to send off to a printing house.
-      It supports professional publishing features, such color separations, CMYK and
-      spot colors, ICC color management, and versatile PDF creation.
-    </p>
-    <!-- FIXME: Probably needs another paragraph or two -->
-  </description>
-  <url type="homepage">http://scribus.net/</url>
-  <screenshots>
-    <screenshot type="default">
-      <image>http://upload.wikimedia.org/wikipedia/commons/f/f4/Scribus-1.3-Linux.png</image>
-    </screenshot>
-  </screenshots>
-  <update_contact>admin@scribus.net</update_contact>
-</component>
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1010,22 +1010,33 @@
 ENDIF (APPLE)
 
 #Install the .desktop file
+CONFIGURE_FILE(
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.desktop.in
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.desktop
+)
 INSTALL(FILES
 	scribus.desktop
+	RENAME scribus${TAG_VERSION}.desktop
 	DESTINATION ${DESKTOPDIR}
 )
 
 #Install our MIME data
 INSTALL(FILES
 	scribus.xml
+	RENAME scribus${TAG_VERSION}.xml
 	DESTINATION ${MIMEDIR}
 )
 
 
 #Install the appdata file
+CONFIGURE_FILE(
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.appdata.xml.in
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.appdata.xml
+)
 INSTALL(FILES
-scribus.appdata.xml
-DESTINATION ${APPDATADIR}
+	scribus.appdata.xml
+	RENAME scribus${TAG_VERSION}.appdata.xml
+	DESTINATION ${APPDATADIR}
 )
 
 
--- a/scribus.desktop
+++ /dev/null
@@ -1,109 +0,0 @@
-[Desktop Entry]
-Type=Application
-Name=Scribus
-Name[ar]=سكريبس
-Name[fa]=اسکریباس
-Name[lo]=ສະຄຣີບັດສ໌
-Name[ru]=Scribus
-Name[ta]=ஸ்கிரிபஸ்
-Comment=Page Layout and Publication
-Comment[ar]=سكريبس
-Comment[fa]=اسکریباس
-Comment[ta]=ஸ்கிரிபஸ்
-Comment[af]=Werkskerm Publisering
-Comment[bg]=Издателска програма
-Comment[bs]=Stono izdavaštvo (DTP)
-Comment[ca]=Publicació d'escriptori
-Comment[cs]=Publikační systém (DTP)
-Comment[cy]=Cyhoeddi Penbwrdd
-Comment[da]=Dtp
-Comment[eo]=DTP-programo
-Comment[es]=Publicación de escritorio
-Comment[et]=Küljendusrakendus
-Comment[fi]=Julkaisuohjelma
-Comment[fr]=Publication assistée par ordinateur (PAO)
-Comment[he]=הוצאה לאור שולחנית
-Comment[hr]=Stolno izdavaštvo
-Comment[hu]=Kiadványszerkesztés
-Comment[it]=Pubblicazioni
-Comment[ja]=デスクトップパブリッシング
-Comment[lo]=ເດດທອບພັລບບີດຊິງ
-Comment[lt]=Darbastalio leidykla
-Comment[nb]=Datatrykkeprogram
-Comment[nn]=Datatrykk
-Comment[nso]=Kwalakwatso ya Desktop
-Comment[pl]=Program do składu tekstu
-Comment[pt]=Publicação no Ecrã
-Comment[pt_BR]=Publicação do Ambiente de Trabalho
-Comment[ru]=Настольное издательство
-Comment[sl]=Namizno založništvo
-Comment[sr]=Стоно издаваштво
-Comment[ss]=Kushicelela ku desktop
-Comment[sv]=Desktop Publishing
-Comment[th]=เดสก์ทอปพับลิชชิง
-Comment[tr]=Masaüstü Yayıncılık
-Comment[uk]=Видавнича система
-Comment[uz]=Кичик нашриёт
-Comment[ven]=U andadza Desikithopo
-Comment[xh]=Upapasho lwe Desktop
-Comment[zh_CN]=桌面出版
-Comment[zh_TW]=桌面出版
-Comment[zu]=Ukushicilelwa kwe-Desktop
-GenericName=Page Layout (Development)
-GenericName[af]=Werkskerm Publisering
-GenericName[bg]=Издателска програма
-GenericName[bs]=Stono izdavaštvo (DTP)
-GenericName[ca]=Publicació d'escriptori
-GenericName[cs]=Publikační systém (DTP)
-GenericName[cy]=Cyhoeddi Penbwrdd
-GenericName[da]=Dtp
-GenericName[eo]=DTP-programo
-GenericName[es]=Publicación de escritorio
-GenericName[et]=Küljendusrakendus
-GenericName[fa]=نشر میزکار
-GenericName[fi]=Julkaisuohjelma
-GenericName[fr]=Publication assistée par ordinateur (PAO)
-GenericName[he]=הוצאה לאור שולחנית
-GenericName[hr]=Stolno izdavaštvo
-GenericName[hu]=Kiadványszerkesztés
-GenericName[it]=Pubblicazioni
-GenericName[ja]=デスクトップパブリッシング
-GenericName[lo]=ເດດທອບພັລບບີດຊິງ
-GenericName[lt]=Darbastalio leidykla
-GenericName[nb]=Datatrykkeprogram
-GenericName[nn]=Datatrykk
-GenericName[nso]=Kwalakwatso ya Desktop
-GenericName[pl]=Program do składu tekstu
-GenericName[pt]=Edição Electrónica
-GenericName[pt_BR]=Editoração eletrônica
-GenericName[ru]=Настольная издательская система
-GenericName[sl]=Namizno založništvo
-GenericName[sr]=Стоно издаваштво
-GenericName[ss]=Kushicelela ku desktop
-GenericName[sv]=Desktop Publishing
-GenericName[th]=เดสก์ทอปพับลิชชิง
-GenericName[tr]=Masaüstü Yayıncılık
-GenericName[tt]=Өстәл нәшрияты
-GenericName[uk]=Видавнича система
-GenericName[uz]=Кичик нашриёт
-GenericName[ven]=U andadza Desikithopo
-GenericName[xh]=Upapasho lwe Desktop
-GenericName[zh_CN]=桌面出版
-GenericName[zh_TW]=桌面出版
-GenericName[zu]=Ukushicilelwa kwe-Desktop
-TryExec=scribus
-Exec=scribus %f
-Icon=scribus
-Terminal=false
-MimeType=application/vnd.scribus;
-Categories=Qt;Graphics;Publishing;
-StartupWMClass=scribus
-DocPath=scribus
-StartupNotify=false
-X-AppInstall-Package=scribus
-X-AppInstall-Section=main
-X-KDE-SubstituteUID=false
-X-KDE-Username=
-[X-Property::X-KDE-NativeExtension]
-Type=QString
-Value=.sla
dynamic-freedesktop.patch (11,401 bytes)   

mapreri

2016-09-05 11:06

developer  

v2_against_svn21438.patch (13,653 bytes)   
Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 21438)
+++ CMakeLists.txt	(working copy)
@@ -999,8 +999,13 @@
 ENDIF (APPLE)
 
 #Install the .desktop file
+CONFIGURE_FILE(
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.desktop.in
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.desktop
+)
 INSTALL(FILES
 	scribus.desktop
+	RENAME scribus${TAG_VERSION}.desktop
 	DESTINATION ${DESKTOPDIR}
 )
 
@@ -1007,14 +1012,20 @@
 #Install our MIME data
 INSTALL(FILES
 	scribus.xml
+	RENAME scribus${TAG_VERSION}.xml
 	DESTINATION ${MIMEDIR}
 )
 
 
 #Install the appdata file
+CONFIGURE_FILE(
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.appdata.xml.in
+	${CMAKE_CURRENT_SOURCE_DIR}/scribus.appdata.xml
+)
 INSTALL(FILES
-scribus.appdata.xml
-DESTINATION ${APPDATADIR}
+	scribus.appdata.xml
+	RENAME scribus${TAG_VERSION}.appdata.xml
+	DESTINATION ${APPDATADIR}
 )
 
 
Index: scribus.appdata.xml
===================================================================
--- scribus.appdata.xml	(revision 21438)
+++ scribus.appdata.xml	(nonexistent)
@@ -1,36 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!-- Copyright 2016 Peter Linnell  plinnell@scribus.net> -->
-<component>
-  <id type="desktop">scribus.desktop</id>
-  <metadata_license>CC0-1.0</metadata_license>
-  <name>Scribus</name>
-  <project_license>GPL-2.0+</project_license>
-  <summary>Open Source Page Layout and Desktop Publishing (DTP)</summary>
-  <url type="homepage">http://www.scribus.net/</url>
-  <description>
-    <p>Scribus is a open source page layout program which
-produces commercial grade output in PDF and Postscript, primarily,
-though not exclusively, for Linux.</p>
-    <p>
-While the goals of the program are ease of use and simple
-easy-to-understand tools, Scribus support for professional
-publishing features, such as CMYK and spot colors, easy PDF creation,
-Encapsulated Postscript import and export and creation of color
-separations.</p>
-  </description>
-  <screenshots>
-    <screenshot type="default">
-      <image height="708" width="1000">https://raw.githubusercontent.com/scribusproject/scribus/master/doc/en/images/Rembrandt2.png</image>
-      <caption>Main Window with blank page</caption>
-    </screenshot>
-    <screenshot>
-      <image height="702" width="1000">https://raw.githubusercontent.com/scribusproject/scribus/master/doc/en/images/Rembrandt18.png</image>
-      <caption>Properties window</caption>
-    </screenshot>
-    <screenshot>
-      <image height="477" width="629">https://raw.githubusercontent.com/scribusproject/scribus/master/doc/en/images/Rembrandt16.png</image>
-      <caption>Image effects tab</caption>
-    </screenshot>
-  </screenshots>
-  <update_contact>scribus-dev@lists.scribus.net</update_contact>
-</component>
Index: scribus.appdata.xml.in
===================================================================
--- scribus.appdata.xml.in	(nonexistent)
+++ scribus.appdata.xml.in	(working copy)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Copyright 2016 Peter Linnell  plinnell@scribus.net> -->
+<component>
+  <id type="desktop">scribus@TAG_VERSION@.desktop</id>
+  <metadata_license>CC0-1.0</metadata_license>
+  <name>Scribus</name>
+  <project_license>GPL-2.0+</project_license>
+  <summary>Open Source Page Layout and Desktop Publishing (DTP)</summary>
+  <url type="homepage">http://www.scribus.net/</url>
+  <description>
+    <p>Scribus is a open source page layout program which
+produces commercial grade output in PDF and Postscript, primarily,
+though not exclusively, for Linux.</p>
+    <p>
+While the goals of the program are ease of use and simple
+easy-to-understand tools, Scribus support for professional
+publishing features, such as CMYK and spot colors, easy PDF creation,
+Encapsulated Postscript import and export and creation of color
+separations.</p>
+  </description>
+  <screenshots>
+    <screenshot type="default">
+      <image height="708" width="1000">https://raw.githubusercontent.com/scribusproject/scribus/master/doc/en/images/Rembrandt2.png</image>
+      <caption>Main Window with blank page</caption>
+    </screenshot>
+    <screenshot>
+      <image height="702" width="1000">https://raw.githubusercontent.com/scribusproject/scribus/master/doc/en/images/Rembrandt18.png</image>
+      <caption>Properties window</caption>
+    </screenshot>
+    <screenshot>
+      <image height="477" width="629">https://raw.githubusercontent.com/scribusproject/scribus/master/doc/en/images/Rembrandt16.png</image>
+      <caption>Image effects tab</caption>
+    </screenshot>
+  </screenshots>
+  <update_contact>scribus-dev@lists.scribus.net</update_contact>
+</component>
Index: scribus.desktop
===================================================================
--- scribus.desktop	(revision 21438)
+++ scribus.desktop	(nonexistent)
@@ -1,109 +0,0 @@
-[Desktop Entry]
-Type=Application
-Name=Scribus
-Name[ar]=سكريبس
-Name[fa]=اسکریباس
-Name[lo]=ສະຄຣີບັດສ໌
-Name[ru]=Scribus
-Name[ta]=ஸ்கிரிபஸ்
-Comment=Page Layout and Publication
-Comment[ar]=سكريبس
-Comment[fa]=اسکریباس
-Comment[ta]=ஸ்கிரிபஸ்
-Comment[af]=Werkskerm Publisering
-Comment[bg]=Издателска програма
-Comment[bs]=Stono izdavaštvo (DTP)
-Comment[ca]=Publicació d'escriptori
-Comment[cs]=Publikační systém (DTP)
-Comment[cy]=Cyhoeddi Penbwrdd
-Comment[da]=Dtp
-Comment[eo]=DTP-programo
-Comment[es]=Publicación de escritorio
-Comment[et]=Küljendusrakendus
-Comment[fi]=Julkaisuohjelma
-Comment[fr]=Publication assistée par ordinateur (PAO)
-Comment[he]=הוצאה לאור שולחנית
-Comment[hr]=Stolno izdavaštvo
-Comment[hu]=Kiadványszerkesztés
-Comment[it]=Pubblicazioni
-Comment[ja]=デスクトップパブリッシング
-Comment[lo]=ເດດທອບພັລບບີດຊິງ
-Comment[lt]=Darbastalio leidykla
-Comment[nb]=Datatrykkeprogram
-Comment[nn]=Datatrykk
-Comment[nso]=Kwalakwatso ya Desktop
-Comment[pl]=Program do składu tekstu
-Comment[pt]=Publicação no Ecrã
-Comment[pt_BR]=Publicação do Ambiente de Trabalho
-Comment[ru]=Настольное издательство
-Comment[sl]=Namizno založništvo
-Comment[sr]=Стоно издаваштво
-Comment[ss]=Kushicelela ku desktop
-Comment[sv]=Desktop Publishing
-Comment[th]=เดสก์ทอปพับลิชชิง
-Comment[tr]=Masaüstü Yayıncılık
-Comment[uk]=Видавнича система
-Comment[uz]=Кичик нашриёт
-Comment[ven]=U andadza Desikithopo
-Comment[xh]=Upapasho lwe Desktop
-Comment[zh_CN]=桌面出版
-Comment[zh_TW]=桌面出版
-Comment[zu]=Ukushicilelwa kwe-Desktop
-GenericName=Page Layout (Development)
-GenericName[af]=Werkskerm Publisering
-GenericName[bg]=Издателска програма
-GenericName[bs]=Stono izdavaštvo (DTP)
-GenericName[ca]=Publicació d'escriptori
-GenericName[cs]=Publikační systém (DTP)
-GenericName[cy]=Cyhoeddi Penbwrdd
-GenericName[da]=Dtp
-GenericName[eo]=DTP-programo
-GenericName[es]=Publicación de escritorio
-GenericName[et]=Küljendusrakendus
-GenericName[fa]=نشر میزکار
-GenericName[fi]=Julkaisuohjelma
-GenericName[fr]=Publication assistée par ordinateur (PAO)
-GenericName[he]=הוצאה לאור שולחנית
-GenericName[hr]=Stolno izdavaštvo
-GenericName[hu]=Kiadványszerkesztés
-GenericName[it]=Pubblicazioni
-GenericName[ja]=デスクトップパブリッシング
-GenericName[lo]=ເດດທອບພັລບບີດຊິງ
-GenericName[lt]=Darbastalio leidykla
-GenericName[nb]=Datatrykkeprogram
-GenericName[nn]=Datatrykk
-GenericName[nso]=Kwalakwatso ya Desktop
-GenericName[pl]=Program do składu tekstu
-GenericName[pt]=Edição Electrónica
-GenericName[pt_BR]=Editoração eletrônica
-GenericName[ru]=Настольная издательская система
-GenericName[sl]=Namizno založništvo
-GenericName[sr]=Стоно издаваштво
-GenericName[ss]=Kushicelela ku desktop
-GenericName[sv]=Desktop Publishing
-GenericName[th]=เดสก์ทอปพับลิชชิง
-GenericName[tr]=Masaüstü Yayıncılık
-GenericName[tt]=Өстәл нәшрияты
-GenericName[uk]=Видавнича система
-GenericName[uz]=Кичик нашриёт
-GenericName[ven]=U andadza Desikithopo
-GenericName[xh]=Upapasho lwe Desktop
-GenericName[zh_CN]=桌面出版
-GenericName[zh_TW]=桌面出版
-GenericName[zu]=Ukushicilelwa kwe-Desktop
-TryExec=scribus
-Exec=scribus %f
-Icon=scribus
-Terminal=false
-MimeType=application/vnd.scribus;
-Categories=Qt;Graphics;Publishing;
-StartupWMClass=scribus
-DocPath=scribus
-StartupNotify=false
-X-AppInstall-Package=scribus
-X-AppInstall-Section=main
-X-KDE-SubstituteUID=false
-X-KDE-Username=
-[X-Property::X-KDE-NativeExtension]
-Type=QString
-Value=.sla

Property changes on: scribus.desktop
___________________________________________________________________
Deleted: svn:eol-style
## -1 +0,0 ##
-native
\ No newline at end of property
Deleted: svn:keywords
## -1 +0,0 ##
-Author Date Id Revision
\ No newline at end of property
Index: scribus.desktop.in
===================================================================
--- scribus.desktop.in	(nonexistent)
+++ scribus.desktop.in	(working copy)
@@ -0,0 +1,109 @@
+[Desktop Entry]
+Type=Application
+Name=Scribus
+Name[ar]=سكريبس
+Name[fa]=اسکریباس
+Name[lo]=ສະຄຣີບັດສ໌
+Name[ru]=Scribus
+Name[ta]=ஸ்கிரிபஸ்
+Comment=Page Layout and Publication
+Comment[ar]=سكريبس
+Comment[fa]=اسکریباس
+Comment[ta]=ஸ்கிரிபஸ்
+Comment[af]=Werkskerm Publisering
+Comment[bg]=Издателска програма
+Comment[bs]=Stono izdavaštvo (DTP)
+Comment[ca]=Publicació d'escriptori
+Comment[cs]=Publikační systém (DTP)
+Comment[cy]=Cyhoeddi Penbwrdd
+Comment[da]=Dtp
+Comment[eo]=DTP-programo
+Comment[es]=Publicación de escritorio
+Comment[et]=Küljendusrakendus
+Comment[fi]=Julkaisuohjelma
+Comment[fr]=Publication assistée par ordinateur (PAO)
+Comment[he]=הוצאה לאור שולחנית
+Comment[hr]=Stolno izdavaštvo
+Comment[hu]=Kiadványszerkesztés
+Comment[it]=Pubblicazioni
+Comment[ja]=デスクトップパブリッシング
+Comment[lo]=ເດດທອບພັລບບີດຊິງ
+Comment[lt]=Darbastalio leidykla
+Comment[nb]=Datatrykkeprogram
+Comment[nn]=Datatrykk
+Comment[nso]=Kwalakwatso ya Desktop
+Comment[pl]=Program do składu tekstu
+Comment[pt]=Publicação no Ecrã
+Comment[pt_BR]=Publicação do Ambiente de Trabalho
+Comment[ru]=Настольное издательство
+Comment[sl]=Namizno založništvo
+Comment[sr]=Стоно издаваштво
+Comment[ss]=Kushicelela ku desktop
+Comment[sv]=Desktop Publishing
+Comment[th]=เดสก์ทอปพับลิชชิง
+Comment[tr]=Masaüstü Yayıncılık
+Comment[uk]=Видавнича система
+Comment[uz]=Кичик нашриёт
+Comment[ven]=U andadza Desikithopo
+Comment[xh]=Upapasho lwe Desktop
+Comment[zh_CN]=桌面出版
+Comment[zh_TW]=桌面出版
+Comment[zu]=Ukushicilelwa kwe-Desktop
+GenericName=Page Layout (Development)
+GenericName[af]=Werkskerm Publisering
+GenericName[bg]=Издателска програма
+GenericName[bs]=Stono izdavaštvo (DTP)
+GenericName[ca]=Publicació d'escriptori
+GenericName[cs]=Publikační systém (DTP)
+GenericName[cy]=Cyhoeddi Penbwrdd
+GenericName[da]=Dtp
+GenericName[eo]=DTP-programo
+GenericName[es]=Publicación de escritorio
+GenericName[et]=Küljendusrakendus
+GenericName[fa]=نشر میزکار
+GenericName[fi]=Julkaisuohjelma
+GenericName[fr]=Publication assistée par ordinateur (PAO)
+GenericName[he]=הוצאה לאור שולחנית
+GenericName[hr]=Stolno izdavaštvo
+GenericName[hu]=Kiadványszerkesztés
+GenericName[it]=Pubblicazioni
+GenericName[ja]=デスクトップパブリッシング
+GenericName[lo]=ເດດທອບພັລບບີດຊິງ
+GenericName[lt]=Darbastalio leidykla
+GenericName[nb]=Datatrykkeprogram
+GenericName[nn]=Datatrykk
+GenericName[nso]=Kwalakwatso ya Desktop
+GenericName[pl]=Program do składu tekstu
+GenericName[pt]=Edição Electrónica
+GenericName[pt_BR]=Editoração eletrônica
+GenericName[ru]=Настольная издательская система
+GenericName[sl]=Namizno založništvo
+GenericName[sr]=Стоно издаваштво
+GenericName[ss]=Kushicelela ku desktop
+GenericName[sv]=Desktop Publishing
+GenericName[th]=เดสก์ทอปพับลิชชิง
+GenericName[tr]=Masaüstü Yayıncılık
+GenericName[tt]=Өстәл нәшрияты
+GenericName[uk]=Видавнича система
+GenericName[uz]=Кичик нашриёт
+GenericName[ven]=U andadza Desikithopo
+GenericName[xh]=Upapasho lwe Desktop
+GenericName[zh_CN]=桌面出版
+GenericName[zh_TW]=桌面出版
+GenericName[zu]=Ukushicilelwa kwe-Desktop
+TryExec=scribus@TAG_VERSION@
+Exec=scribus@TAG_VERSION@ %f
+Icon=scribus@TAG_VERSION@
+Terminal=false
+MimeType=application/vnd.scribus;
+Categories=Qt;Graphics;Publishing;
+StartupWMClass=scribus@TAG_VERSION@
+DocPath=scribus@TAG_VERSION@
+StartupNotify=false
+X-AppInstall-Package=scribus@TAG_VERSION@
+X-AppInstall-Section=main
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+[X-Property::X-KDE-NativeExtension]
+Type=QString
+Value=.sla

Property changes on: scribus.desktop.in
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
v2_against_svn21438.patch (13,653 bytes)   

mapreri

2016-09-05 11:06

developer   ~0041977

Uploaded a diff I managed against svn, where the scribus.appdata.xml changed (I based my previous patch on 1.5.2).

mapreri

2016-09-05 11:08

developer   ~0041978

Note though that I'm not sure applying either patch would do the equivalent of `svn mv` to rename the files (to append the '.in' suffix), I think some manual work is needed for the committer to keep the history of the file.

Kunda

2016-10-27 21:26

updater   ~0042209

any devs care to comment on mapreri's patch?

Kunda

2016-11-01 00:53

updater   ~0042259

@mapreri your patch was merged in r21481
Thank you!
Closing.

Issue History

Date Modified Username Field Change
2016-08-29 14:12 mapreri New Issue
2016-08-29 14:12 mapreri File Added: dynamic-freedesktop.patch
2016-08-30 15:25 ale Summary tweak .desktop and .appdata.xml according to -DCUSTOM_VERSIONTAG => [PATCH] tweak .desktop and .appdata.xml according to -DCUSTOM_VERSIONTAG
2016-08-30 15:51 JLuc Priority low => normal
2016-08-30 18:53 plinnell Assigned To => plinnell
2016-08-30 18:53 plinnell Status new => assigned
2016-09-05 11:06 mapreri File Added: v2_against_svn21438.patch
2016-09-05 11:06 mapreri Note Added: 0041977
2016-09-05 11:08 mapreri Note Added: 0041978
2016-09-21 16:55 mapreri Tag Attached: patch
2016-10-27 21:26 Kunda Note Added: 0042209
2016-10-30 19:47 cbradney Assigned To plinnell => cbradney
2016-10-30 19:47 cbradney Status assigned => resolved
2016-10-30 19:47 cbradney Resolution open => fixed
2016-10-30 19:47 cbradney Fixed in Version => 1.5.3.svn
2016-11-01 00:53 Kunda Status resolved => closed
2016-11-01 00:53 Kunda Note Added: 0042259
2016-11-01 00:53 Kunda Target Version => 1.5.3
2016-11-06 13:10 jghali Summary [PATCH] tweak .desktop and .appdata.xml according to -DCUSTOM_VERSIONTAG => Tweak .desktop and .appdata.xml according to -DCUSTOM_VERSIONTAG